[packages] xtables-addons: r24433 or r24435 broke compilation
[packages] xtables-addons: r24433 or r24435 broke compilation
- remove not applying kernel detect patch
- depmod was still called, so fix 001-no_depmod.patch


git-svn-id: svn://svn.openwrt.org/openwrt/packages@24456 3c298f89-4303-0410-b956-a3cf2f4a3e73

--- a/net/xtables-addons/Makefile
+++ b/net/xtables-addons/Makefile
@@ -106,7 +106,7 @@
 $(eval $(call BuildTemplate,condition,Condition,xt_condition,xt_condition,46,))
 $(eval $(call BuildTemplate,delude,DELUDE,xt_DELUDE,xt_DELUDE,46,+kmod-ipt-compat-xtables))
 $(eval $(call BuildTemplate,tarpit,TARPIT,xt_TARPIT,xt_TARPIT,46,+kmod-ipt-compat-xtables))
-$(eval $(call BuildTemplate,tee,TEE,xt_TEE,xt_TEE,46,+kmod-ipt-compat-xtables))
+#$(eval $(call BuildTemplate,tee,TEE,xt_TEE,xt_TEE,46,+kmod-ipt-compat-xtables))
 $(eval $(call BuildTemplate,ipp2p,IPP2P,xt_ipp2p,xt_ipp2p,46,))
 $(eval $(call BuildTemplate,rawpost,RAWPOST,,iptable_rawpost,46,+kmod-ipt-compat-xtables))
 $(eval $(call BuildTemplate,rawnat,RAWNAT,xt_RAWDNAT xt_RAWSNAT,xt_RAWNAT,46,+kmod-ipt-compat-xtables))

--- a/net/xtables-addons/patches/001-no_depmod.patch
+++ b/net/xtables-addons/patches/001-no_depmod.patch
@@ -14,4 +14,12 @@
  install-html: install-html-recursive
  
  install-html-am:
+@@ -827,7 +826,6 @@ xtables-addons.8: FORCE
+ 	${MAKE} -f Makefile.mans all;
+ 
+ install-exec-hook:
+-	depmod -a || :;
+ 
+ config.status: Makefile.iptrules.in
+ 
 

--- a/net/xtables-addons/patches/005-kernel_detect.patch
+++ /dev/null
@@ -1,102 +1,1 @@
---- xtables-addons-1.31/configure.ac.old	2010-12-06 16:34:40.566685991 +0100
-+++ xtables-addons-1.31/configure.ac	2010-12-06 16:35:29.978686360 +0100
-@@ -48,7 +48,6 @@
- 	# Well, just a warning. Maybe the admin updated the kernel.
- 	echo "WARNING: This distribution's shipped kernel is not supported.";
- fi;
--AC_MSG_CHECKING([kernel version that we will build against])
- krel="$(make -sC ${kbuilddir} kernelrelease)";
- krel="${krel%%-*}";
- kmajor="${krel%%.*}";
-@@ -57,28 +56,22 @@
- krel="${krel#*.}";
- kmicro="${krel%%.*}";
- if test "$kmicro" = "$krel"; then
--	kmicro="$(($kmicro+0))"; # Get rid of non numbers ("2.6.36+" -> "2.6.36")
- 	kstable=0;
- else
--	kmicro="$(($kmicro+0))";
- 	kstable="${krel#*.}";
--	kstable="$(($kstable+0))";
--fi;
--if test -z "$kmajor" -o -z "$kminor" -o -z "$kmicro"; then
--	echo "WARNING: Version detection did not succeed. Continue at own luck.";
--else
--	echo "$kmajor.$kminor.$kmicro.$kstable in $kbuilddir";
--	if test "$kmajor" -gt 2 -o "$kminor" -gt 6 -o "$kmicro" -gt 36; then
--		echo "WARNING: You are trying a newer kernel. Results may vary. :-)";
--	elif test \( "$kmajor" -lt 2 -o \
--	    \( "$kmajor" -eq 2 -a "$kminor" -lt 6 \) -o \
--	    \( "$kmajor" -eq 2 -a "$kminor" -eq 0 -a "$kmicro" -lt 17 \) -o \
--	    \( "$kmajor" -eq 2 -a "$kminor" -eq 6 -a "$kmicro" -eq 18 -a \
--	    "$kstable" -lt 5 \) \); then
--		echo "ERROR: That kernel version is not supported. Please see INSTALL for minimum configuration.";
--		exit 1;
-+	if test -z "$kstable"; then
-+		kstable=0;
- 	fi;
- fi;
-+echo "Found kernel version $kmajor.$kminor.$kmicro.$kstable in $kbuilddir";
-+if test "$kmajor" -gt 2 -o "$kminor" -gt 6 -o "$kmicro" -gt 36; then
-+	echo "WARNING: You are trying a newer kernel. Results may vary. :-)";
-+elif test \( "$kmajor" -lt 2 -o "$kminor" -lt 6 -o "$kmicro" -lt 17 \) -o \
-+    \( "$kmajor" -eq 2 -a "$kminor" -eq 6 -a "$kmicro" -eq 18 -a \
-+    "$kstable" -lt 5 \); then
-+	echo "ERROR: That kernel version is not supported. Please see INSTALL for minimum configuration.";
-+	exit 1;
-+fi;
- 
- AC_SUBST([regular_CFLAGS])
- AC_SUBST([kbuilddir])
---- xtables-addons-1.31/configure.old	2010-12-06 16:54:55.450685329 +0100
-+++ xtables-addons-1.31/configure	2010-12-06 16:55:51.878685448 +0100
-@@ -10809,8 +10809,6 @@
- 	# Well, just a warning. Maybe the admin updated the kernel.
- 	echo "WARNING: This distribution's shipped kernel is not supported.";
- fi;
--{ $as_echo "$as_me:${as_lineno-$LINENO}: checking kernel version that we will build against" >&5
--$as_echo_n "checking kernel version that we will build against... " >&6; }
- krel="$(make -sC ${kbuilddir} kernelrelease)";
- krel="${krel%%-*}";
- kmajor="${krel%%.*}";
-@@ -10819,28 +10817,22 @@
- krel="${krel#*.}";
- kmicro="${krel%%.*}";
- if test "$kmicro" = "$krel"; then
--	kmicro="$(($kmicro+0))"; # Get rid of non numbers ("2.6.36+" -> "2.6.36")
- 	kstable=0;
- else
--	kmicro="$(($kmicro+0))";
- 	kstable="${krel#*.}";
--	kstable="$(($kstable+0))";
--fi;
--if test -z "$kmajor" -o -z "$kminor" -o -z "$kmicro"; then
--	echo "WARNING: Version detection did not succeed. Continue at own luck.";
--else
--	echo "$kmajor.$kminor.$kmicro.$kstable in $kbuilddir";
--	if test "$kmajor" -gt 2 -o "$kminor" -gt 6 -o "$kmicro" -gt 36; then
--		echo "WARNING: You are trying a newer kernel. Results may vary. :-)";
--	elif test \( "$kmajor" -lt 2 -o \
--	    \( "$kmajor" -eq 2 -a "$kminor" -lt 6 \) -o \
--	    \( "$kmajor" -eq 2 -a "$kminor" -eq 0 -a "$kmicro" -lt 17 \) -o \
--	    \( "$kmajor" -eq 2 -a "$kminor" -eq 6 -a "$kmicro" -eq 18 -a \
--	    "$kstable" -lt 5 \) \); then
--		echo "ERROR: That kernel version is not supported. Please see INSTALL for minimum configuration.";
--		exit 1;
-+	if test -z "$kstable"; then
-+		kstable=0;
- 	fi;
- fi;
-+echo "Found kernel version $kmajor.$kminor.$kmicro.$kstable in $kbuilddir";
-+if test "$kmajor" -gt 2 -o "$kminor" -gt 6 -o "$kmicro" -gt 36; then
-+	echo "WARNING: You are trying a newer kernel. Results may vary. :-)";
-+elif test \( "$kmajor" -lt 2 -o "$kminor" -lt 6 -o "$kmicro" -lt 17 \) -o \
-+    \( "$kmajor" -eq 2 -a "$kminor" -eq 6 -a "$kmicro" -eq 18 -a \
-+    "$kstable" -lt 5 \); then
-+	echo "ERROR: That kernel version is not supported. Please see INSTALL for minimum configuration.";
-+	exit 1;
-+fi;
- 
- 
- 
 

comments